Subject: [bug#42479] [PATCH] services: Add 'unattended-upgrade-service-type'.

From: Ludovic Courtès <[email-masked]>
Date: Wed, 22 Jul 2020 23:46:29 +0200

Hi Oleg,

Oleg Pykhalov <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
> […]
>
>> +@item @code{log-file} (default: @code{"/var/log/unattended-upgrade.log"})
>> +File where unattended upgrades are logged.
>> +@end table
>> +@end deftp
>
> Maybe better /var/log/guix-unattended-upgrade.log similar to
> /var/log/guix-daemon.log and /var/log/guix-publish.log files?

The service is called “unattended-upgrade” so I thought it was
appropriate (likewise, “guix-daemon” and “guix-publish” are also the
name of the service).  WDYT?

(In fact, I think syslog would be better, but that’ll be for another
day…)

Ludo’.